# Interface methods for submodule: TikhonovDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InverseDeconvolutionImageFilterProxy as _InverseDeconvolutionImageFilterProxy


# Interface methods for class: TikhonovDeconvolutionImageFilter
class TikhonovDeconvolutionImageFilterProxy(_InverseDeconvolutionImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetRegularizationConstant(self, _arg: float) -> None:
		""""""
		...

	def GetRegularizationConstant(self) -> float:
		""""""
		...

